[求救]我的显卡驱动到底该怎么装阿,我都快要晕菜了

为当前最终发行版之前的所有版本提供支持
回复
头像
syhan
帖子: 272
注册时间: 2006-09-06 12:24
来自: Southeast University
送出感谢: 0
接收感谢: 0
联系:

[求救]我的显卡驱动到底该怎么装阿,我都快要晕菜了

#1

帖子 syhan » 2006-10-25 21:23

之前一直用的好好的,前一阵装了个beryl美化了一下桌面,安装之前显卡是好的,各个方面也都还流畅,今天逛逛论坛,心血来潮检查了一下我的显卡

代码: 全选

syh@CoSE-SEU:~$ fglrxinfo 
Error: unable to open display :0 
syh@CoSE-SEU:~$ fgl_glxgears 
Using GLX_SGIX_pbuffer 
Xlib: extension "XFree86-DRI" missing on display ":1.0". 
Error: couldn't get fbconfig 
我以为我的显卡驱动给我弄坏了(其实是好的,后来翻帖子才知道装了beryl就这样子了),于是就去ati的网站上下载驱动,好像是8.29.6什么的,按照这个帖子viewtopic.php?t=25457
先将原来的驱动卸载了

代码: 全选

sudo apt-get remove xorg-driver-fglrx 
sudo apt-get remove fglrx-control 
sudo apt-get remove linux-restricted-modules-$(uname -r) 
sudo dpkg-reconfigure xserver-xorg 
然后重启了,然后就发现很卡很卡,一顿一顿的,不管它,按照那个继续装

代码: 全选

sudo apt-get install gcc-3.4 module-assistant build-essential fakeroot dh-make debconf sudo sh ./ati-driver-installer-8.29.6.run --buildpkg Ubuntu/breezy 
sudo dpkg -i fglrx-kernel-source_8.18.8-1_i386.deb 
sudo dpkg -i xorg-driver-fglrx_8.18.8-1_i386.deb 
sudo apt-get -f upgrade 

sudo module-assistant prepare 
sudo module-assistant update 
sudo module-assistant a-i fglrx
因为我没有出现错误

代码: 全选

Package fglrx-kernel-source was not built successfully, see 
/var/cache/modass/fglrx-kernel-source*buildlog* for details! 
以下的就没有做

代码: 全选

按照参考方法,这样做: 
cd /usr/src 
sudo dpkg -i fglrx-kernel-*.deb 
然后就

代码: 全选

sudo aticonfig --initial 
重启


现在发现还是一顿一顿的,我尝试了将beryl所有的包都卸载掉,再重复上面的过程,还是不行,我到底该怎么做,帮帮我,谢谢了:)
头像
syhan
帖子: 272
注册时间: 2006-09-06 12:24
来自: Southeast University
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 syhan » 2006-10-25 21:25

对了,我的系统是6.06Dapper
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2006-10-25 21:36

想到的方法:登出x,tty下面,kill gdm,把xserver-xorg卸载。把/var/cache/apt/archives/下面的相关包删除,再重装xserver-xorg。再显卡驱动也这样重来。
● 鸣学
头像
syhan
帖子: 272
注册时间: 2006-09-06 12:24
来自: Southeast University
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 syhan » 2006-10-25 21:42

我能不能直接把握装的ati的驱动先给删掉啊然后安装源里面的那个,该怎么做啊?
后来我是直接这样安装的

代码: 全选

sudo sh ./ati-driver-installer-8.29.6.run
现在在Application下有个ati的小图标

谢谢eexpress我试试看
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 SuperWar3Fan » 2006-10-26 10:36

sudo apt-get install gcc-3.4 module-assistant build-essential fakeroot dh-make debconf sudo sh ./ati-driver-installer-8.29.6.run --buildpkg Ubuntu/breezy ---》问一下,是不是应该是Ubuntu/drapper
sudo dpkg -i fglrx-kernel-source_8.18.8-1_i386.deb
sudo dpkg -i xorg-driver-fglrx_8.18.8-1_i386.deb
sudo apt-get -f upgrade

sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant a-i fglrx
回复

回到 “老旧版本支持”